sudo apt-get install build-essential 还是不能用啊!!急!!!!

为当前最终发行版之前的所有版本提供支持
回复
vvruir
帖子: 3
注册时间: 2008-10-09 16:18
送出感谢: 0
接收感谢: 0

sudo apt-get install build-essential 还是不能用啊!!急!!!!

#1

帖子 vvruir » 2008-10-13 13:06

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
现在没有可用的软件包 build-essential,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
E: 软件包 build-essential 还没有可供安装的候选者



出现这个问题,是不是又要换源!!!!为什么UBUNTU这么难使??????????
头像
daf3707
论坛版主
帖子: 12668
注册时间: 2007-06-13 15:57
来自: 在他乡
送出感谢: 49 次
接收感谢: 85 次

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#2

帖子 daf3707 » 2008-10-13 13:11

sudo apt-get install build-essential
[sudo] password for daf3707: *****************
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
将会安装下列额外的软件包:
g++ g++-4.2 libstdc++6-4.2-dev
建议安装的软件包:
g++-multilib g++-4.2-multilib gcc-4.2-doc libstdc++6-4.2-dbg
libstdc++6-4.2-doc
下列【新】软件包将被安装:
build-essential g++ g++-4.2 libstdc++6-4.2-dev
共升级了 0 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 3980kB 的软件包。
操作完成后,会消耗掉 15.1MB 的额外磁盘空间。
您希望继续执行吗?[Y/n]
赤之湖
帖子: 204
注册时间: 2008-09-25 19:57
送出感谢: 0
接收感谢: 0

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#3

帖子 赤之湖 » 2008-10-13 13:28

是你自己的问题好不好,没有把源加全,我就是按照速配指南上弄的,没有一点问题
vvruir
帖子: 3
注册时间: 2008-10-09 16:18
送出感谢: 0
接收感谢: 0

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#4

帖子 vvruir » 2008-10-13 13:28

你发这个是什么意思啊?我这里根本就不行!
xeoc
帖子: 1994
注册时间: 2007-05-06 10:12
送出感谢: 0
接收感谢: 0

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#5

帖子 xeoc » 2008-10-13 13:35

先更新下?sudo apt-get update
赤之湖
帖子: 204
注册时间: 2008-09-25 19:57
送出感谢: 0
接收感谢: 0

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#6

帖子 赤之湖 » 2008-10-13 13:45

什么意思,你抱怨什么ubuntu难用,怎么不看看你自己的情况阿,
这是你发的说明
“现在没有可用的软件包 build-essential,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到”
你自己在更新源的时候,没用弄好,源加的不全,却说系统不好用,二楼那里,我这里一点问题都没有(我这里早装了,新立得里有),如果说想弄好用的,怎么不用windows阿,windows是"傻瓜式"的操作系统,好用的很
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#7

帖子 leeaman » 2008-10-13 14:41

要么是源版本弄错了,要么是没有执行5楼的更新命令
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
olay0668
帖子: 1
注册时间: 2011-03-24 16:50
送出感谢: 0
接收感谢: 0

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#8

帖子 olay0668 » 2011-03-25 11:23

我也遇到同样的问题,估计是源的问题,请问能把你用的源贴出来吗?谢谢。
头像
黄美姬
论坛版主
帖子: 8428
注册时间: 2009-10-08 11:15
来自: 大城市铁岭
送出感谢: 0
接收感谢: 1 次

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#9

帖子 黄美姬 » 2011-03-25 11:37

08年ID潜水
我们是命运的妓女,它把我们都嫖了

N卡驱动:http://www.nvidia.cn/Download/index.aspx?lang=cn
极品飞车:http://www.geforce.cn/optimize/optimal- ... ts-450-ops
孤岛危机优化设置:http://www.geforce.cn/optimize/optimal- ... tx-450-ops
:cp /etc/skel/.bashrc ~/
PS1="\[\e]2;\u@\H \w\a\e[32;1m\]\T$\[\e[0m\] "
http://cdimage.ubuntu.com/
http://releases.ubuntu.com/
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#10

帖子 tenzu » 2011-03-25 13:14

8L挖坟
头像
qy117121
论坛版主
帖子: 49891
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 334 次
联系:

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#11

帖子 qy117121 » 2011-03-26 20:58

:em01
渠月 · QY    https://vz.rs/u
本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
头像
月下叹逍遥
论坛版主
帖子: 33994
注册时间: 2010-10-07 14:23
系统: Archdows10
来自: 某系某星某洲某国某省某市
送出感谢: 8 次
接收感谢: 63 次
联系:

Re: sudo apt-get install build-essential 还是不能用啊!!急!!!!

#12

帖子 月下叹逍遥 » 2011-03-26 20:59

:em01
心似浮云常自在,意如流水任东西。
此事背后一定有个天大的咪咪
广告:
1、走过路过,不要错过,dropbox网盘2.25G大放送
py大法好,退C保平安
java多妖孽,VB本异端
日诵一千遍,快活似神仙
回复

回到 “老旧版本支持”